// pages/finance/voucher/voucher.js
import * as UTIL from '../../../utils/util.js';
import * as API from '../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    voucher:{}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    var that = this ;
    var id = options.id;
    // 对账状态字典查询
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'archive_status', {method:'GET'}, {
      success: (res) => {
        that.setData({
          archiveStatusOptions:res.data,
        })
      }
    })
    // 凭证字典查询
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'voucher_word', {method:'GET'}, {
      success: (res) => {
        that.setData({
          voucherWordOptions:res.data,
        })
      }
    })
    
    UTIL.httpRequest(API.URL_GET_GETVOUCHERDETAIL, {method:'GET',id:id}, {
      success: (res) => {
        console.log(res);
        let moneyCount = 0;
        for (let i = 0; i < res.data.detailList.length; i++) {
          moneyCount += res.data.detailList[i].jieAmount;
        }
        res.data.voucherWordText = UTIL.getTransform(res.data.voucherWord,that.data.voucherWordOptions);
        UTIL.httpRequest(API.URL_GET_BOOKLISTBYDEPTID, {method:'GET'}, {
          success: (res2) => {
            let bookName = res2.rows.filter(function (e) { return e.id == res.data.bookId; })[0].bookName;
            that.setData({
              bookName:bookName
            })
          }
        })
        that.setData({
          voucher:res.data,
          moneyCount:UTIL.ToChinese(parseFloat(moneyCount).toFixed(2)),
          listLength:res.data.detailList.length
        })
      }
    })
  },
  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})